#ifndef PERMISSIONS_H
#define PERMISSIONS_H
#include <qlabel.h>
#include <qcheckbox.h>
#include <qsize.h>

class Permissions : public QWidget {
	Q_OBJECT
public:
	Permissions(QWidget *parent=0, const char *name=0);
	~Permissions();
	void resize(int w, int h);
        QSize minimumSizeHint() const;
        QSize sizeHint() const;
        void setGeometry(int x, int y, int w, int h);
	void setValue(unsigned short mode);
	void setEnabled(bool enable);
	unsigned short	value();
private:
	QLabel *	Special;
	QCheckBox *	SetUID;
	QCheckBox *	SetGID;
	QCheckBox *	Sticky;
	QLabel *	Owner;
	QCheckBox *	OwnerR;
	QCheckBox *	OwnerW;
	QCheckBox *	OwnerX;
	QLabel *	Group;
	QCheckBox *	GroupR;
	QCheckBox *	GroupW;
	QCheckBox *	GroupX;
	QLabel *	Other;
	QCheckBox *	OtherR;
	QCheckBox *	OtherW;
	QCheckBox *	OtherX;
        QFrame *        Line[10];
};
#endif
